#ifndef morpheo_tools_viewer_bdd_LimitParam_h
#define morpheo_tools_viewer_bdd_LimitParam_h

#include <iostream>
#include <iterator>

using namespace std;
namespace morpheo{
namespace tools{
namespace viewer{
namespace bdd{     


  class LimitParam
    {
    private:
      string name;
      int min;
      int max;
      string step;
      int defaut;
      int level;
      string group;
      
    protected:


    public:
      /*alloc parameters list*/
      LimitParam(string na,int mn,int mx,string sp,int de,int lvl);
      LimitParam();
      LimitParam(LimitParam *l);
      /*unalloc parameters list*/
      ~LimitParam();
      /*accessors*/
      string getName();
      int getMin();
      int getMax();
      string getStep();
      int getDefault();
      int getLevel();
      void setGroup(string s);
      string getGroup();


    };//end class LimitParam

};//end bdd
};//end viewer
};//end tools
};//end morpheo

#endif
